%define major   0
%define libname %mklibname deflate %{major}
%define devname %mklibname deflate -d

Name:           libdeflate
Version:        1.19
Release:        %mkrel 1
Summary:        Fast implementation of DEFLATE, gzip, and zlib
License:        MIT
Group:          System/Libraries
URL:            https://github.com/ebiggers/libdeflate
Source0:        https://github.com/ebiggers/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  cmake

%description
libdeflate is a library for fast, whole-buffer DEFLATE-based
compression and decompression, supporting DEFLATE, gzip,
and zlib.

%package -n     %{libname}
Summary:        Fast implementation of DEFLATE, gzip, and zlib
Group:          System/Libraries

%description -n %{libname}
libdeflate is a library for fast, whole-buffer DEFLATE-based
compression and decompression, supporting DEFLATE, gzip,
and zlib.

%package -n     %{devname}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       deflate-devel = %{version}-%{release}

%description -n %{devname}
Header files for development with %{name}.

%package        utils
Summary:        Binaries from %{name}
Group:          System/Libraries
License:        MIT

%description utils
Binaries from %{name}.

%prep
%setup -q

%build
%cmake -DLIBDEFLATE_BUILD_STATIC_LIB=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libdeflate.so.%{major}*

%files -n %{devname}
%{_includedir}/libdeflate.h
%{_libdir}/libdeflate.so
%{_libdir}/pkgconfig/libdeflate.pc
%{_libdir}/cmake/libdeflate/

%files utils
%{_bindir}/libdeflate-gzip
%{_bindir}/libdeflate-gunzip


%changelog
* Thu Sep 21 2023 tex - 1.19-1pclos2023
- new version



